de.esprit.netsuite.client.evgate

## Class UserDataChangeEventGate<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.concurrent.AbstractEventGate<E>
  - - de.esprit.netsuite.client.evgate.AbstractClientEventGate<C,UserDataChangeEvent>
    - - de.esprit.netsuite.client.evgate.UserDataChangeEventGate<C>

- All Implemented Interfaces:
    ClientObject<C>

      public class UserDataChangeEventGate<C extends ClientContext>
      extends AbstractClientEventGate<C,UserDataChangeEvent>

  This gate opens when the expected `UserDataChangeEvent` is being received.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.common.concurrent.AbstractEventGate

      `lastEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserDataChangeEventGate(C clientCtx)`
    `UserDataChangeEventGate(C clientCtx, ChangeType action)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserDataChangeEvent` | `awaitTimingOut(long time, java.util.concurrent.TimeUnit unit)`
    `protected void` | `deregister()` This method is called when isSingleUseOnly flag is set.

    - ### Methods inherited from class de.esprit.netsuite.client.evgate.AbstractClientEventGate

      `getClientContext`

    - ### Methods inherited from class de.esprit.common.concurrent.AbstractEventGate

      `received, setSingleUseOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserDataChangeEventGate

          public UserDataChangeEventGate(C clientCtx)

    - #### UserDataChangeEventGate

          public UserDataChangeEventGate(C clientCtx,
                                 ChangeType action)

  - ### Method Detail

    - #### deregister

          protected void deregister()

      Description copied from class: `AbstractEventGate`
      This method is called when isSingleUseOnly flag is set.
      Overrides:
        `deregister` in class `AbstractEventGate<UserDataChangeEvent>`

    - #### awaitTimingOut

          public UserDataChangeEvent awaitTimingOut(long time,
                                           java.util.concurrent.TimeUnit unit)
                                             throws java.util.concurrent.TimeoutException

      Overrides:
        `awaitTimingOut` in class `AbstractEventGate<UserDataChangeEvent>`
      Throws:
        `java.util.concurrent.TimeoutException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.